Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.apt
Class RoundCompleteEvent

    java.lang.Object
      java.util.EventObject
          com.sun.mirror.apt.RoundCompleteEvent

All Implemented Interfaces:
  Serializable

    public abstract class RoundCompleteEvent

extends EventObject

Event for the completion of a round of annotation processing.

While this class extends the serializable `EventObject`, it cannot meaningfully be serialized because all of the annotation processing tool's internal state would potentially be needed.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` | `RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)` The current `AnnotationProcessorEnvironment` is regarded as the source of events.

Method Summary
`RoundState` | `getRoundState()` Return round state.
`AnnotationProcessorEnvironment` | `getSource()` Return source.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoundCompleteEvent

    protected RoundCompleteEvent(AnnotationProcessorEnvironment source,
                                 RoundState rs)

  The current `AnnotationProcessorEnvironment` is regarded as the source of events.

  Parameters:
    `source` - The source of events
    `rs` - The state of the round

Method Detail

### getRoundState

    public RoundState getRoundState()

  Return round state.

### getSource

    public AnnotationProcessorEnvironment getSource()

  Return source.

  Overrides:
    `getSource` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Copyright © 2004, 2010, Oracle and/or its affiliates. All rights reserved.